Page MenuHomePhabricator

ssh deprecated options
Closed, ResolvedPublicFEATURE REQUEST

Description

Oct 8 21:56:06 1-3-latest sshd[1537]: /etc/ssh/sshd_config line 11: Deprecated option UsePrivilegeSeparation
Oct 8 21:56:06 1-3-latest sshd[1537]: /etc/ssh/sshd_config line 12: Deprecated option KeyRegenerationInterval
Oct 8 21:56:06 1-3-latest sshd[1537]: /etc/ssh/sshd_config line 13: Deprecated option ServerKeyBits
Oct 8 21:56:06 1-3-latest sshd[1537]: /etc/ssh/sshd_config line 17: Deprecated option RSAAuthentication
Oct 8 21:56:06 1-3-latest sshd[1537]: /etc/ssh/sshd_config line 20: Deprecated option RhostsRSAAuthentication

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

hagbard claimed this task.Oct 8 2019, 9:58 PM
hagbard created this task.
hagbard added a comment.EditedOct 8 2019, 10:05 PM

Can we just remove the deprecated options from being generated? They only leave a few lines in syslog, but these options are deprecated already in stretch.
(https://www.openssh.com/txt/release-7.5 ff)

OpenSSH_7.9p1 Debian-10+deb10u1, OpenSSL 1.1.1d  10 Sep 2019

I gotta check if that is present in 1.2 rolling too, dome options are ancient, older than jessie.

hagbard renamed this task from ssh depricated options to ssh deprecated options.Oct 9 2019, 3:15 PM
hagbard closed this task as Resolved.Oct 9 2019, 4:19 PM

1.2 is not affected which runs OpenSSH_6.7p1 Debian-5+deb8u8, OpenSSL 1.0.1t 3 May 2016

c-po moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.Oct 13 2019, 3:04 PM